<?php

namespace App\Filament\Resources\Pengaduans\Pages;

use App\Filament\Resources\Pengaduans\PengaduanResource;
use Filament\Actions\DeleteAction;
use Filament\Resources\Pages\EditRecord;

class _EditPengaduan extends EditRecord
{
    protected static string $resource = PengaduanResource::class;

    protected function getHeaderActions(): array
    {
        return [
            DeleteAction::make()
                ->label('Hapus Pengaduan')
                ->icon('heroicon-m-trash'),
        ];
    }

    public function getTitle(): string
    {
        return 'Detail Pengaduan';
    }

    protected function getFormActions(): array
    {
        return [
            $this->getSaveFormAction()
                ->label('Perbarui Pengaduan')
                ->icon('heroicon-m-check')
                ->color('primary'),
            $this->getCancelFormAction()
                ->label('Kembali')
                ->icon('heroicon-m-arrow-left'),
        ];
    }
}
